List contacts by account

List contacts by account. See the OpenAPI-defined parameters, request body, and responses below.

GET /Contact/GetByAccountId/{accountId}

List contacts by account. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint retorna todos os contatos vinculados a uma conta específica.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
accountIdpathinteger · int32Yes——

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/Contact/GetByAccountId/{accountId}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Sucesso ao retornar os contatosapplication/json · array<ContactDto>

Example response (200):

[
  {
    "id": 0,
    "firstName": "string",
    "lastName": "string",
    "fullName": "string",
    "linkedInUrl": "string",
    "title": "string",
    "companyName": "string",
    "accountId": 0,
    "preferredUserId": 0,
    "enabled": true,
    "externalId": "string",
    "primaryEmail": "string",
    "primaryPhone": "string"
  }
]

Data models

ContactDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
firstNamestringNo—nullable
lastNamestringNo—nullable
fullNamestringNo—nullable
linkedInUrlstringNo—nullable
titlestringNo—nullable
companyNamestringNo—nullable
accountIdinteger · int32No——
preferredUserIdinteger · int32No——
enabledbooleanNo——
externalIdstringNo—nullable
primaryEmailstringNo—nullable
primaryPhonestringNo—nullable